about summary refs log tree commit diff
path: root/mklive.sh.in
diff options
context:
space:
mode:
authorJuan RP <xtraeme@gmail.com>2012-11-23 00:23:12 +0100
committerJuan RP <xtraeme@gmail.com>2012-11-23 00:23:12 +0100
commit9f3da16fad04266563e0bb1302212fdd6e31ceff (patch)
treee9c316e280e285c693f200e28729d4c94cecdd35 /mklive.sh.in
parent9504ed551c18eb8276e3e0788eb0a285d1257795 (diff)
downloadhrmpf-9f3da16fad04266563e0bb1302212fdd6e31ceff.tar.gz
hrmpf-9f3da16fad04266563e0bb1302212fdd6e31ceff.tar.xz
hrmpf-9f3da16fad04266563e0bb1302212fdd6e31ceff.zip
mklive.sh: install stdbuf(1) from coreutils for the installer.
Diffstat (limited to 'mklive.sh.in')
-rw-r--r--mklive.sh.in5
1 files changed, 5 insertions, 0 deletions
diff --git a/mklive.sh.in b/mklive.sh.in
index 683c979..3e7f249 100644
--- a/mklive.sh.in
+++ b/mklive.sh.in
@@ -159,6 +159,11 @@ generate_initramfs() {
 	    "$ROOTFS/usr/sbin/agetty" || error_out $?
     install -Dm755 $ROOTFS/kernel_temp/usr/bin/lsblk \
 	    "$ROOTFS/usr/bin/lsblk" || error_out $?
+    # Install stdbuf from coreutils, required by void-installer.
+    install -Dm755 $ROOTFS/kernel_temp/usr/bin/stdbuf \
+	"$ROOTFS/usr/bin/stdbuf" || error_out $?
+    install -Dm755 $ROOTFS/kernel_temp/usr/libexec/coreutils/libstdbuf.so \
+	"$ROOTFS/usr/libexec/coreutils/libstdbuf.so" || error_out $?
 
     $CHROOT_CMD $ROOTFS/kernel_temp dracut --no-hostonly \
 	    --add "dmsquash-live vmklive" --${COMPRESSTYPE} \